Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::FairRWLock Class Reference

`#include <FairRWLock.h>`

Inheritance diagram for ZThread::FairRWLock::

List of all members.

## Public Methods
| FairRWLock () throw (Synchronization_Exception)
virtual | ~FairRWLock () throw ()
virtual bool | allowReader ()

## Detailed Description

Author:
  Eric Crahen

Date:
  03-10-2001

Version:
  1.3.0

A specialized RWLock that has a no special bias. It will maintain a balance between the order readers and writers allowed to acquire this objects locks

See also:
  RWLock

## Constructor & Destructor Documentation

FairRWLock ( | ) throw (Synchronization_Exception)`[inline]`

| Create a fair or somewhat balanced RWLock

~FairRWLock ( | ) throw ()`[inline, virtual]`

| Destroy this RWLock

## Member Function Documentation

bool allowReader ( | )`[inline, virtual]`

| Use the internal fairness counter to try and keep a balance between the number of readers and the number of writers allowed access to the lock. Reimplemented from ZThread::RWLock.

The documentation for this class was generated from the following file:

- FairRWLock.h